<h3>Developers / Testing Only</h3>

<section>
    {{#each activations}}
        <div class="activation form-list">
            <header>
                <strong>{{localize "PF2E.ItemActivate.Label"}}</strong>
                {{#unless action.components.cast}}
                    {{{actionGlyph action.actionCost}}}
                {{/unless}}
                {{action.componentsLabel}}
                <div class="item-controls">
                    <a data-action="activation-delete" data-action-id="{{id}}"><i class="fas fa-trash"></i></a>
                </div>
            </header>

            <div class="details-container-flex-row spell-components">
                <label>
                    <input type="checkbox" name="{{base}}.components.command" {{checked action.components.command}} data-dtype="Boolean"/>
                    <span>{{localize "PF2E.ItemActivate.Command"}}</span>
                </label>
                <label>
                    <input type="checkbox" name="{{base}}.components.envision" {{checked action.components.envision}} data-dtype="Boolean"/>
                    <span>{{localize "PF2E.ItemActivate.Envision"}}</span>
                </label>
                <label>
                    <input type="checkbox" name="{{base}}.components.interact" {{checked action.components.interact}} data-dtype="Boolean"/>
                    <span>{{localize "PF2E.ItemActivate.Interact"}}</span>
                </label>
                <label>
                    <input type="checkbox" name="{{base}}.components.cast" {{checked action.components.cast}} data-dtype="Boolean"/>
                    <span>{{localize "PF2E.ItemActivate.Cast"}}</span>
                </label>
            </div>

            <div class="details-container-flex-row">
                <div class="details-container-flex-row activation-time">
                    <select name="{{base}}.actionCost.type" data-dtype="String">
                        {{#select action.actionCost.type}}
                            {{#each @root.actionTypes as |name type|}}
                                <option value="{{type}}">{{localize name}}</option>
                            {{/each}}
                        {{/select}}
                    </select>
                    {{#if (eq action.actionCost.type "action")}}
                    <select name="{{base}}.actionCost.value" data-dtype="Number">
                        {{#select action.actionCost.value}}
                            {{#each @root.actionsNumber as |name type|}}
                                <option value="{{type}}">{{localize name}}</option>
                            {{/each}}
                        {{/select}}
                    </select>
                    {{/if}}
                </div>
                <div class="details-container-flex-row frequency">
                    {{#if action.frequency.duration}}
                        <input type="number" name="{{base}}.frequency.max" value="{{action.frequency.max}}" data-dtype="Number"/>
                        <span>{{localize "PF2E.Frequency.per"}}</span>
                    {{/if}}
                    <select name="{{base}}.frequency.duration" data-dtype="String">
                        {{#select action.frequency.duration}}
                            <option value="">{{localize "PF2E.Time.Unit.Unlimited"}}</option>
                            {{#each @root.frequencies as |name type|}}
                                <option value="{{type}}">{{localize name}}</option>
                            {{/each}}
                        {{/select}}
                    </select>
                </div>
            </div>

            <div class="tags">
                <label>
                    {{localize "PF2E.TraitsLabel"}}
                    <a class="trait-selector" data-trait-selector="basic" data-config-types="actionTraits" data-property="{{base}}.traits"><i class="fas fa-edit"></i></a>
                </label>
                {{#each traits as |trait|}}
                    <div class="tag" data-trait="{{trait.value}}">{{localize trait.label}}</div>
                {{/each}}
            </div>

            {{editor content=action.description.value target=(concat base ".description.value") button=true owner=@root.owner editable=@root.editable}}
            <input type="hidden" name="{{base}}.description.value" value="{{action.description.value}}"/>
        </div>
    {{/each}}
    <button data-action="activation-add"><i class="fas fa-plus"></i>{{localize "PF2E.ItemActivate.Add"}}</button>
</section>
